D4Science Infrastructure - Incident #7122

RprototypingLab: the rstudio istance is not the expected one
Feb 15, 2017 05:40 PM - Roberto Cirillo

Status: Closed Start date: Feb 15,2017
Priority: Normal Due date:

Assignee: Massimiliano Assante % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

For testing, I'm trying to use rstudio on RPrototypingLab. I've notice that the portlet redirect me to the wrong rstudio instance
(rstudio.d4science.org) although the resource defined on the related service endpoint is the correct one
(rstudio1-proto.d4science.org).

Is it possible we have introduced a bug in the last upgrade?

In attachment the portal log.

History

#1 - Feb 15, 2017 05:49 PM - Massimiliano Assante

yes the problem is that now the RStudio instance you access first in any VRE is maintained undependelty of the scope. We'll fix this on Monday, if
urgent, since the ICES Course is ended we can restore the previous RStudio Wrapper portlet which does not maintain information

#2 - Feb 20, 2017 10:57 AM - Massimiliano Assante

- Status changed from New to In Progress

#4 - Feb 21, 2017 12:25 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The problem is fixed in production, | just hot deployed the RStudio Wrapper portlet containing the fix.

Now the RStudio instance allocation:

takes into account the number of instances available in the given context and assign the RStudio instance balancing the load.

e keep the assignee instance for that context until this instance exists in the context. If a problem occurs with that instance a new instance is
assigned by looking at the one available.

¢ If no instances are available the default instance (rstudio.d4science.org) is assigned.

e maintains retro-compatibility with the previous version (that did not take into account the scope), meaning that if user foo had rstudio2 instance

set on scope X, then in scope X foo is still assigned to rstudio2 (if valid)
